# Interface methods for submodule: CleanQuadEdgeMeshFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import QuadEdgeMeshToQuadEdgeMeshFilterProxy as _QuadEdgeMeshToQuadEdgeMeshFilterProxy


# Interface methods for class: CleanQuadEdgeMeshFilter
class CleanQuadEdgeMeshFilterProxy(_QuadEdgeMeshToQuadEdgeMeshFilterProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetAbsoluteTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetAbsoluteTolerance(self) -> float:
		""""""
		...

	def SetRelativeTolerance(self, _arg: float) -> None:
		""""""
		...

	def GetRelativeTolerance(self) -> float:
		""""""
		...

